'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _electron = require('electron');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://electronjs.org/docs/api/menu
exports.default = function (options) {
    var _options = (0, _extends3.default)({}, options),
        address = _options.address,
        port = _options.port;

    return [{
        label: 'Edit',
        submenu: [{ role: 'undo' }, { role: 'redo' }, { type: 'separator' }, { role: 'cut' }, { role: 'copy' }, { role: 'paste' }, { role: 'pasteandmatchstyle' }, { role: 'delete' }, { role: 'selectall' }]
    }, {
        label: 'View',
        submenu: [{ role: 'reload' }, { role: 'forcereload' }, { role: 'toggledevtools' }, { type: 'separator' }, { role: 'resetzoom' }, { role: 'zoomin' }, { role: 'zoomout' }, { type: 'separator' }, { role: 'togglefullscreen' }, { type: 'separator' }, {
            label: 'View in browser',
            click: function click() {
                var url = 'http://' + address + ':' + port;
                _electron.shell.openExternal(url);
            }
        }]
    }, {
        role: 'window',
        submenu: [{ role: 'minimize' }, { role: 'close' }]
    }, {
        role: 'help',
        submenu: [{
            label: 'Learn More',
            click: function click() {
                _electron.shell.openExternal('https://snapmaker.com/support/');
            }
        }]
    }];
};